<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/transfer.php';
session_start();
date_default_timezone_set('Asia/Rangoon');
$database = new Database();
$db = $database->getConnection();
 
$transfer = new Transfer($db);
$data = json_decode(file_get_contents("php://input"));

$transfer->date = $data->date;
$transfer->transfer_to = $data->transfer_to;
$transfer->transfer_from = $data->transfer_from;
$transfer->voucher_no = $data->voucher_no;
$transfer->transfer_reason = $data->transfer_reason;
$transfer->particular = $data->particular;
$transfer->quantity = $data->quantity;
$transfer->amount = $data->amount;
$transfer->transfer_by = $data->transfer_by;
$transfer->city = $data->city;
// $transfer->city = $_SESSION[''];
$transfer->entry_by =isset($_SESSION['user'])?$_SESSION['user']:"";
$transfer->entry_date_time = date("Y-m-d H:i:s");

if($data->id){
	$transfer->id = $data->id;
	if($transfer->update()){
		$msg_arr = array(
			"message" => "updated"
		);
	}else{
		$msg_arr = array(
			"message" => "errorIU"
		);
	}
}else{
	if($transfer->create()){
		$msg_arr = array(
			"message" => "created"
		);
	}else{
		$msg_arr = array(
			"message" => "errorc"
		);	
	}
}


echo json_encode($msg_arr);
?>	